Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005031TestLinkNew Featurepublic2012-05-27 13:572014-04-25 17:38
Reporterwengm 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0005031: Automatically create user account at the first time of login if the account just exists on LDAP
DescriptionProvide automatic create of the user account in TestLink database
at the first time of login if the account just exists on LDAP, just like what Bugzilla does.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserAll
PHP Version5.4.3
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespatch file icon TICKET5031.patch [^] (4,879 bytes) 2012-06-20 10:53 [Show Content]

- Relationships
related to 0002515closedfman Auto Create User on Successful LDAP Authentication 
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0016788)
fman (administrator)
2012-05-28 12:19

>> Current implementation of integration with LDAP is not good enough.
this was explained on forum add is not accepted as part of this request
an issue has not have opinion but facts
next time we will find this kind of reporting I'm going to delete issue
hope is clear
(0016912)
brtk (reporter)
2012-06-20 11:02

Patch for branch: testlink-code/testlink_1_9
Commit: 5cbeb5a10b5fde42418fcc72e6948c9f955da348

Tested against FreeIPA directory server. Haven't tested it on Active Directory however or any other ds.

Another issue is that no passwords are assigned to the user - this might be desirable if we later want to change authentication from LDAP back to MD5.

No new user notifications are sent to admins.
(0020294)
ankushgrover (reporter)
2014-01-08 09:35

Hi

Any update when this will be done for AD? I tried with 1.9.9 version against AD but still the new user is not getting added in the DB automatically.


Regards

Ankush
(0020295)
fman (administrator)
2014-01-08 17:46

if status is not resolved of closed => no work has been done.
you can use the provided patch (without any warranty or support)
(0020686)
fman (administrator)
2014-04-06 13:58

Implemented

// Follows Mantisbt idea.
// True if user does not exist on DB, but can be get from LDAP,
// the user will be created AUTOMATICALLY with default user role.
// Create user with following data from LDAP
// mail
// name
// surname
$tlCfg->authentication['ldap_automatic_user_creation'] = false;

// Configure following fields in custom_config.inc.php according your configuration
$tlCfg->authentication['ldap_email_field'] = 'mail';
$tlCfg->authentication['ldap_firstname_field'] = 'givenname';
$tlCfg->authentication['ldap_surname_field'] = 'sn';

Tested on fedora 20 using apache directory server, running on same server where testlink runs
(0020687)
fman (administrator)
2014-04-06 14:01

https://gitorious.org/testlink-ga/testlink-code/commit/10e53b21025693dfb69dbbc90cf3f6f26e47118a [^]
(0020811)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2012-05-27 13:57 wengm New Issue
2012-05-28 12:19 fman Note Added: 0016788
2012-05-28 12:21 fman Description Updated View Revisions
2012-06-20 10:53 brtk File Added: TICKET5031.patch
2012-06-20 11:02 brtk Note Added: 0016912
2014-01-08 09:35 ankushgrover Note Added: 0020294
2014-01-08 17:46 fman Note Added: 0020295
2014-04-06 13:58 fman Note Added: 0020686
2014-04-06 13:58 fman QA Team - Task Workflow Status => TBD
2014-04-06 14:01 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-04-06 14:01 fman Note Added: 0020687
2014-04-06 14:01 fman Status new => resolved
2014-04-06 14:01 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-04-06 14:01 fman Resolution open => fixed
2014-04-06 14:01 fman Assigned To => fman
2014-04-06 14:04 fman Relationship added related to 0002515
2014-04-06 14:04 fman Relationship added child of 0006048
2014-04-25 17:38 fman Note Added: 0020811
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker